Subject: Re: [PATCH v2] status merge: guarentee space between msg and path

From: Sandy Carter <[email-masked]>
Date: Wed, 12 Mar 2014 16:08:56 -0400

Le 2014-03-12 15:28, Junio C Hamano a écrit :
> Sandy Carter <[email-masked]> writes:
>
>> Add space between how and one when printing status of unmerged data.
>> This fixes an appending of the how message when it is longer than 20,
>> such  is the case in some translations such as the french one where the
>> colon gets appended to the file:
>>      supprimé par nous :wt-status.c
>>      modifié des deux côtés :wt-status.h
>> Additionally, having a space makes the file in question easier to select
>> in console to quickly address the problem. Without the space, the colon
>> (and, sometimes the last word) of the message is selected along with the
>> file.
>>
>> The previous french example should now print as, which is more proper:
>>      supprimé par nous :      wt-status.c
>>      modifié des deux côtés : wt-status.h
>>
>> try 2:
>> Add function so wt_status_print_unmerged_data() and
>> wt_status_print_change_data() make use of the same padding technique
>> defined as wt_status_status_padding_string()
>>
>> This has the additionnal advantage of aligning unmerged paths with paths
>> of regular statuses.
>>
>> Signed-off-by: Sandy Carter <[email-masked]>
>> ---
>>   t/t7060-wtstatus.sh         |  16 +++----
>>   t/t7506-status-submodule.sh |  18 ++++----
>>   t/t7508-status.sh           |  94 +++++++++++++++++++--------------------
>>   t/t7512-status-help.sh      |  30 ++++++-------
>
> This is too noisy a patch to be reviewed.  I tried to resurrect
> Jonathan's fix from Dec 2013 and posted it elsewhere---does it work
> for you?

Seems fine except for the bit about returning _("bug"), which I brought up.

Seems to do the same thing as my proposal without changing the alignment 
of paths in of regular status output. No changes to tests necessary, 
less noisy.

It works for me.

> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>